import 'package:json_annotation/json_annotation.dart';

part 'clinic_info.g.dart';

///诊所信息
@JsonSerializable()
class ClinicInfo {
  @JsonKey(name: "id")
  final String? id;
  @JsonKey(name: "isDel")
  final int? isDel;
  @JsonKey(name: "createDate")
  final String? createDate;
  @JsonKey(name: "createUser")
  final String? createUser;
  @JsonKey(name: "updateDate")
  final String? updateDate;
  @JsonKey(name: "updateUser")
  final String? updateUser;
  @JsonKey(name: "tenantId")
  final String? tenantId;
  @JsonKey(name: "clinicName")
  final String? clinicName;
  @JsonKey(name: "clinicApiUrl")
  final String? clinicApiUrl;

  ClinicInfo({
    this.id,
    this.isDel,
    this.createDate,
    this.createUser,
    this.updateDate,
    this.updateUser,
    this.tenantId,
    this.clinicName,
    this.clinicApiUrl,
  });

  factory ClinicInfo.fromJson(Map<String, dynamic> json) {
    return _$ClinicInfoFromJson(json);
  }

  Map<String, dynamic> toJson() {
    return _$ClinicInfoToJson(this);
  }

  @override
  String toString() => "${toJson()}";
}
